> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca licenze

> Il catalogo delle licenze disponibili nella piattaforma (id, name, description). Usa l'id di una licenza per attivare un abbonamento per un'organizzazione tramite gli endpoint Subscriptions. Filtra per name; ordina per qualsiasi campo.



## OpenAPI

````yaml get /api/v1/settings/licenses
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/settings/licenses:
    get:
      tags:
        - Settings
      summary: List licenses
      description: Retrieves all Licenses in the webapp
      operationId: settings_licenses_retrieve
      parameters:
        - in: query
          name: name
          schema:
            type: string
          description: Filter by license name (case insensitive contains).
        - in: query
          name: order
          schema:
            type: string
            default: '-id'
          description: Order results by field.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          description: License ID.
                        data:
                          type: object
                          description: License data including name and description.
                          properties:
                            name:
                              type: string
                              description: License name.
                            description:
                              type: string
                              description: License description.
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````